<?php

namespace application\personal_calendar;

/**
 * $Id: personal_calendar_event.class.php 127 2009-11-09 13:11:56Z vanpouckesven $
 * @package application.personal_calendar
 */
/**
 * A personcal calendar events bundles a content object (CalendarEvent) and a
 * user in the application.
 */
class PersonalCalendarEvent
{
    private $start_date;
    private $end_date;
    private $url;
    private $title;
    private $content;
    private $source;
    private $id;

    public function __construct()
    {
    }

    public function set_id($id)
    {
        $this->id = $id;
    }

    public function get_id()
    {
        return $this->id;
    }

    public function get_start_date()
    {
        return $this->start_date;
    }

    public function get_end_date()
    {
        return $this->end_date;
    }

    public function get_url()
    {
        return $this->url;
    }

    public function get_title()
    {
        return $this->title;
    }

    public function get_content()
    {
        return $this->content;
    }

    public function get_source()
    {
        return $this->source;
    }

    public function set_start_date($start_date)
    {
        $this->start_date = $start_date;
    }

    public function set_end_date($end_date)
    {
        $this->end_date = $end_date;
    }

    public function set_url($url)
    {
        $this->url = $url;
    }

    public function set_title($title)
    {
        $this->title = $title;
    }

    public function set_content($content)
    {
        $this->content = $content;
    }

    public function set_source($source)
    {
        $this->source = $source;
    }
}
