// This function will poll to the server checking if there are new replies on the given message.
// If no replies are found for e.g. 5 polls in a row, the interval is increased to a max of e.g. 60 sec to reduce server load.
var current_poll = 0;
var number_of_polls_without_respons = 5;
var initial_polling_interval = 3;
var polling_interval = initial_polling_interval;
var max_polling_interval = 60;
var timer = "";
function checkForNewReplies()
{   
    // postback
    var result = doAjaxPost(
            ajaxUri,
            {
                'context' : 'application\\personal_messenger',
                'method' : 'has_new_replies',
                'message_id' : messageId
            });
    result = eval('(' + result + ')');
    // check for new replies
    if(result.properties.has_replies)
    {
        // retrieve and process them in a separate function
        retrieveNewReplies();
    }
    // adjust polling
    adjust_polling(result.properties.has_replies);
}
function adjust_polling(success)
{
    if(success)
    {
        // reset polling data
        polling_interval = initial_polling_interval;
        current_poll = 0;
        // reset timer with new interval
        reset_timer();
    }
    else
    {
        // move to the next poll
        current_poll++
        if(current_poll == number_of_polls_without_respons)
        {
            // if we reached the max of polls, adjust the interval and reset counter
            polling_interval = polling_interval * 2;
            if(polling_interval > max_polling_interval)
            {
                polling_interval = max_polling_interval;
            }
            current_poll = 0;
            // reset timer with new interval
            reset_timer();
        }
    }
}
function reset_timer()
{
    if( timer != "")
    {
        clearInterval(timer);
    }
    timer = setInterval(checkForNewReplies, polling_interval * 1000);
}
$(document).ready(function()
{
    // initial start of the timer
    reset_timer();
});