<?php

namespace application\personal_messenger\upgrade\v4_0_0;

/**
 * Database schema & content upgrader for Chamilo 3.x to 4.0.0.
 *
 * @author Sven Vanpoucke - Hogeschool Gent
 */
class Upgrader extends \common\libraries\package\upgrade\v4_0_0\Upgrader
{
    /**
     * Constructor
     */
    public function __construct()
    {
        parent :: __construct(\application\personal_messenger\PersonalMessengerDataManager :: get_instance());
    }

    /**
     * Upgrades the packages
     *
     * @param $data_manager
     *
     * @return bool
     */
    function upgrade($data_manager)
    {
        return $this->add_package_registration('application\personal_messenger\integration\core\home') &&
            $this->upgrade_home_block_registrations('application\personal_messenger');
    }
}