<?php
namespace application\weblcms\integration\webservice;

use common\libraries\Translation;
use common\libraries\GetObjectListWebserviceHandler;
use common\libraries\EqualityCondition;

class ContentObjectPublicationGetListWebserviceHandler extends GetObjectListWebserviceHandler
{

    public function get_objects()
    {
        $condition = new EqualityCondition(\application\weblcms\ContentObjectPublication :: PROPERTY_PUBLISHER_ID,
                $this->get_user_id());

        return \application\weblcms\DataManager :: retrieves(ContentObjectPublication :: class_name(), $condition);
    }

    public function get_objects_translation()
    {
        return Translation :: get('ContentObjectPublications');
    }
}
