<?php
namespace application\weblcms;

use application\weblcms\integration\tracking\AssessmentAttempt;
use common\libraries\EqualityCondition;
use common\libraries\Request;

require_once dirname(__FILE__) . '/../../../../common/global.inc.php';

$id = Request :: post('id');
$score = Request :: post('score');

$dummy = new \application\weblcms\integration\tracking\AssessmentAttempt();
$condition = new EqualityCondition(\application\weblcms\integration\tracking\AssessmentAttempt :: PROPERTY_ID, $id);
$trackers = $dummy->retrieve_tracker_items($condition);
if ($trackers[0])
{
    $end_time = time();

    $trackers[0]->set_total_score($score);
    $trackers[0]->set_status(AssessmentAttempt::STATUS_COMPLETED);
    $trackers[0]->set_end_time($end_time);
    $trackers[0]->set_total_time($trackers[0]->get_total_time() + ($end_time - $trackers[0]->get_start_time()));
    $trackers[0]->update();
}
