<?php
namespace application\weblcms;

use common\libraries\DelegateComponent;

use common\libraries\Display;

/**
 * $Id: category_manager.class.php 216 2009-11-13 14:08:06Z kariboe $
 *
 * @package application.lib.weblcms.tool.component
 */
class ToolComponentCategoryManagerComponent extends ToolComponent implements DelegateComponent
{

    public function run()
    {
        if (!$this->is_allowed(WeblcmsRights :: EDIT_RIGHT))
        {
            Display :: not_allowed();
            return;
        }

        $category_manager = new ContentObjectPublicationCategoryManager($this);
        $category_manager->run();

    }
}
