<?php
namespace application\weblcms;

use common\libraries\AdministrationComponent;
use common\libraries\DelegateComponent;

/**
 * This class represents a component that runs the course submanager.
 * It's an extension from the normal launcher
 * component to support components runnable as administrator
 *
 * @package \application\weblcms\course
 *
 * @author Sven Vanpoucke - Hogeschool Gent - Refactoring
 */
class WeblcmsManagerAdminCourseManagerComponent extends WeblcmsManagerCourseManagerComponent implements
    AdministrationComponent,
    DelegateComponent
{
}
