<?php

namespace application\weblcms\tool\assessment;

use application\weblcms\ObjectPublicationTableColumnModel;
use repository\ContentObject;
use common\libraries\DataClassPropertyTableColumn;

/**
 * Extension on the content object publication table column model for this tool
 *
 * @author Sven Vanpoucke - Hogeschool Gent
 */
class PublicationTableColumnModel extends ObjectPublicationTableColumnModel
{
    /****************************************************************************************************************
     * Inherited Functionality                                                                                      *
     ****************************************************************************************************************/

    /**
     * Initializes the columns for the table
     */
    public function initialize_columns()
    {
        parent :: initialize_columns();

        $this->add_column(
            new DataClassPropertyTableColumn(ContentObject :: class_name(), ContentObject :: PROPERTY_TYPE)
        );
    }
}