<?php
namespace application\weblcms\tool\course_group;

use application\weblcms\WeblcmsManager;
use common\libraries\Request;
use common\libraries\ObjectTableFormAction;
use common\libraries\NewObjectTableFormActionsSupport;
use common\libraries\ObjectTableFormActions;
use common\libraries\NewObjectTable;
use common\libraries\Translation;

/**
 * $Id: course_group_unsubscribed_user_browser_table.class.php 216 2009-11-13
 * 14:08:06Z kariboe $
 *
 * @package application.lib.weblcms.tool.course_group.component.user_table
 */
class CourseGroupUnsubscribedUserBrowserTable extends NewObjectTable implements NewObjectTableFormActionsSupport
{
    const DEFAULT_NAME = 'course_group_unsubscribed_user_browser_table';
    const DEFAULT_ROW_COUNT = 20;

    /**
     * Constructor
     */
    /*function __construct($browser, $parameters, $condition)
    {
        $model = new CourseGroupUnsubscribedUserBrowserTableColumnModel();
        $renderer = new CourseGroupUnsubscribedUserBrowserTableCellRenderer($browser);
        $data_provider = new CourseGroupUnsubscribedUserBrowserTableDataProvider($browser, $condition);
        parent :: __construct($data_provider, CourseGroupUnsubscribedUserBrowserTable
         :: DEFAULT_NAME, $model, $renderer);
        $this->set_additional_parameters($parameters);
        $actions = array();
        if (Request :: get(WeblcmsManager :: PARAM_TOOL_ACTION) != WeblcmsManager :: ACTION_SUBSCRIBE)
        {
            // $actions[WeblcmsManager :: PARAM_UNSUBSCRIBE_SELECTED] =
        // Translation :: get('UnsubscribeSelected');
        }
        else
        {
            // $actions[WeblcmsManager :: PARAM_SUBSCRIBE_SELECTED_AS_STUDENT] =
        // Translation :: get('SubscribeSelectedAsStudent');
            // $actions[WeblcmsManager :: PARAM_SUBSCRIBE_SELECTED_AS_ADMIN] =
        // Translation :: get('SubscribeSelectedAsAdmin');
        }
        
        if ($browser->get_course()->is_course_admin($browser->get_user()))
        {
            // $this->set_form_actions($actions);
        }
        $this->set_default_row_count(20);
    }*/

    public function get_implemented_form_actions()
    {
        $actions = new ObjectTableFormActions(__NAMESPACE__, CourseGroupTool :: PARAM_COURSE_GROUP_ACTION);
        $browser = $this->get_component();
        if ($browser->is_allowed(WeblcmsRights :: EDIT_RIGHT))
        {
            //$actions->add_form_action(new ObjectTableFormAction(CourseGroupTool ::
            //PARAM_UNSUBSCRIBE_USERS, Translation :: get('UnsubscribeUsers')));
        }

        if ($browser->get_course()->is_course_admin($browser->get_user()))
        {
            //$this->set_form_actions($actions);
        }

        return $actions;
    }
}
