<?php
namespace application\weblcms\tool\user;

use application\weblcms\Tool;
use common\libraries\Breadcrumb;
use common\libraries\BreadcrumbTrail;
use application\weblcms\ToolComponent;
use common\libraries\Translation;
use common\libraries\Request;

class UserToolIntroductionPublisherComponent extends UserTool
{

    public function run()
    {
        ToolComponent :: launch($this);
    }

    public function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add(
            new Breadcrumb(
                $this->get_url(
                    array(
                        Tool :: PARAM_ACTION  => UserTool :: ACTION_UNSUBSCRIBE_BROWSER,
                        UserTool :: PARAM_TAB => Request :: get(UserTool :: PARAM_TAB)
                    )
                ),
                Translation :: get('UserToolUnsubscribeUserBrowserComponent')
            )
        );
    }
}
