<?php
use common\libraries\Session;
use common\libraries\Request;

require_once dirname(__FILE__) . '/global.inc.php';

$user = Session :: get_user_id();

if ($user)
{
    if (Request :: get('application') != 'user' || Request :: get('go') != 'login')
    {
        Session :: unregister('request_uri');
    }

    \tracking\Event :: trigger('online', \core\admin\AdminManager :: context(), array('user' => $user));

    if (strpos($_SERVER['REQUEST_URI'], 'leave.php') === false && strpos($_SERVER['REQUEST_URI'], 'ajax') === false)
    {
        $return = \tracking\Event :: trigger('enter', \user\UserManager :: APPLICATION_NAME,
                array(\user\integration\tracking\Visit :: PROPERTY_LOCATION => $_SERVER['REQUEST_URI'],
                        \user\integration\tracking\Visit :: PROPERTY_USER_ID => $user));
    }
}
