<?php
namespace common\extensions\external_repository_manager\implementation\dropbox;

use repository\ExternalInstance;

class ExternalObject extends \common\extensions\external_repository_manager\ExternalObject
{
    const OBJECT_TYPE = 'dropbox';

    public static function get_object_type()
    {
        return self :: OBJECT_TYPE;
    }

    public function get_content_data($external_object)
    {
        $external_repository = \repository\DataManager :: retrieve_by_id(ExternalInstance :: class_name(), 
                $this->get_external_repository_id());
        return DataConnector :: get_instance($external_repository)->download_external_repository_object(
                $external_object);
    }
}
