<?php
namespace common\extensions\external_repository_manager;

use common\libraries\DelegateComponent;

use common\libraries\Utilities;
use common\libraries\Request;
use common\libraries\Translation;

class ImporterComponent extends Component implements DelegateComponent
{

    public function run()
    {
        $id = Request :: get(Manager :: PARAM_EXTERNAL_REPOSITORY_ID);
        $object = $this->retrieve_external_repository_object($id);
        $succes = $this->import_external_repository_object($object);
        
        $params = array();
        $params[Manager :: PARAM_EXTERNAL_REPOSITORY_MANAGER_ACTION] = '';
        
        if ($succes)
        {
            $this->redirect(Translation :: get('Succes', null, Utilities :: COMMON_LIBRARIES), false, $params);
        }
        else
        {
            $this->redirect(Translation :: get('Failed', null, Utilities :: COMMON_LIBRARIES), true, $params);
        }
    }
}
