<?php
namespace common\extensions\video_conferencing_manager;

use common\libraries\Path;
use common\libraries\Theme;
use common\libraries\Request;
use common\libraries\CssUtilities;

$theme = Request :: get('theme'); // theme in the url means that changing the theme will invalidate the cache
$root = Path :: get_common_extensions_path() . 'video_conferencing_manager/implementation/';

$video_conferencing_manager_types = Manager :: get_registered_types();
foreach ($video_conferencing_manager_types as $video_conferencing_manager_type)
{
    if ($video_conferencing_manager_type->is_active())
    {
        $path = $root . $video_conferencing_manager_type->get_name() . '/resources/css/' . $theme . '/' . $theme . '.css';
        echo CssUtilities :: get($path);
    }
}
