<?php
namespace common\extensions\video_conferencing_manager;

use common\libraries\NewObjectTableSupport;

class TableVideoConferencingRenderer extends VideoConferencingRenderer implements NewObjectTableSupport
{

    /**
     *
     * @see common\libraries.NewObjectTableSupport::get_object_table_condition()
     */
    public function get_object_table_condition($object_table_class_name)
    {
        return $this->get_condition();
    }

    /**
     * Returns the HTML output of this renderer.
     *
     * @return string The HTML output
     */
    public function as_html()
    {
        return ConferenceObjectTable :: factory($this)->as_html();
    }
}
