<?php
namespace common\libraries\form;
/*
 * Class to create a group of 1 or more elements on a form
 */
class Tabs extends Container
{
    private $tabs; // boolean value to indicate if name of the group and name of elements have to be appended

    /*
     * Constructor for the Group class
     */
    public function __construct($name, $label, $tabs)
    {
        parent :: __construct($name, $label);
        $this->tabs = $tabs;
    }

    public function render()
    {
        $renderer = $this->get_renderer() ? $this->get_renderer() : new DefaultTabsRenderer($this);
        return $renderer->render();
    }

    public function get_tabs()
    {
        return $this->tabs;
    }

    public function set_tabs($tabs)
    {
        $this->tabs = $tabs;
    }
}
