<?php
namespace common\libraries\form;

use common\libraries\Language;
use common\libraries\CommonDataManager;

class SelectLanguage extends Select
{

    /**
     * Class constructor
     */
    public function __construct($elementName = null, $elementLabel = null, $options = null)
    {
        parent :: __construct($elementName, $elementLabel, $options);

        // Get all languages
        $languages = CommonDataManager :: retrieves(Language :: class_name());
        $this->options = array();

        while ($language = $languages->next_result())
        {
            $this->options[$language->get_english_name()] = $language->get_folder();
        }
    }
}
