<?php
namespace common\libraries\package;

/**
 *
 * @author Hans De Bisschop
 * @package core.lynx
 */
class Authors
{

    /**
     *
     * @var multitype:\common\libraries\package\Author
     */
    private $authors;

    /**
     *
     * @param \common\libraries\package\Author $authors
     */
    public function __construct($authors)
    {
        $this->set_authors($authors);
    }

    /**
     *
     * @return multitype:\common\package\libraries\Author
     */
    public function get_authors()
    {
        return $this->authors;
    }

    /**
     *
     * @param multitype:\common\libraries\package\Author $authors
     */
    public function set_authors($authors)
    {
        $this->authors = $authors;
    }

    /**
     *
     * @param \common\libraries\package\Author $author
     */
    public function add_author($author)
    {
        $this->authors[] = $author;
    }
}
