<?php

/**
 * IMS
 * ---
 * Library to export/import to/from QTI and CP formats.
 * Used by the QTI and CP export/import modules.
 *
 * See:
 *
 * CP: http://www.imsglobal.org/content/packaging
 * QTI: http://www.imsglobal.org/question
 *
 * For further information.
 *
 * Sub folders:
 *
 * chamilo
 * -------
 * Chamilo related classes used by the export/import modules. Other folders do not have dependencies
 * to Chamilo.
 *
 * common
 * ------
 * IMS specific library shared by QTI and CP
 *
 * cp
 * --
 * IMS CP related classes
 *
 * lib
 * ---
 * Generic libraries used by this package. Do not contains anything specific to IMS.
 *
 * qti
 * ---
 * IMS QTI related classes
 *
 *
 */
