<?php
namespace common\libraries;

/**
 *
 * @package common.libraries.storage.doctrine
 * @author Hans De Bisschop
 */
class DoctrineNotConditionTranslator extends DoctrineConditionTranslator
{

    public function translate()
    {
        $string = array();

        $string[] = 'NOT (';
        $string[] = DoctrineConditionTranslator :: render(
            $this->get_condition()->get_condition(),
            $this->get_deprecated_storage_unit(),
            $this->get_connection());
        $string[] = ')';

        return implode('', $string);
    }
}
