<?php
namespace common\libraries;

/**
 * Translation of ConditionVariables in the context of an MDB2-based storage layer
 *
 * @package common.libraries
 * @author Hans De Bisschop
 */
class DoctrinePropertyConditionVariableTranslator extends DoctrineConditionVariableTranslator
{

    public function translate()
    {
        return DoctrineDatabase :: escape_column_name(
            $this->get_condition_variable()->get_property(),
            $this->get_condition_variable()->get_alias(),
            $this->get_connection());
    }
}
