<?php
namespace common\libraries;

/**
 * Translation of ConditionVariables in the context of an MDB2-based storage layer
 *
 * @package common.libraries
 * @author Hans De Bisschop
 */
class Mdb2PropertyConditionVariableTranslator extends Mdb2ConditionVariableTranslator
{

    public function translate()
    {
        return Mdb2Database :: escape_column_name(
            $this->get_condition_variable()->get_property(),
            $this->get_condition_variable()->get_alias(),
            $this->get_connection());
    }
}
