<?php
use common\libraries\HttpHeader;
use common\libraries\CssUtilities;
use common\libraries\Path;
use common\libraries\Request;

require_once dirname(__FILE__) . '/../../../../init.inc.php';
require_once dirname(__FILE__) . '/../../../../conf.inc.php';
HttpHeader :: content_type(HttpHeader :: CONTENT_TYPE_CSS, CssUtilities :: DEFAULT_CHARSET);

$theme = Request :: get('theme'); // theme in the url means that changing the theme will invalidate the cache
$root = Path :: get_repository_content_object_path();

$content_object_types = \repository\DataManager :: get_registered_types();
foreach ($content_object_types as $content_object_type)
{
    $path = $root . strtolower(\common\libraries\Utilities::get_classname_from_namespace($content_object_type)) .
        '/resources/css/' . $theme . '/html_editor/ckeditor/' . $theme . '.css';
    echo CssUtilities :: get($path);
}
?>