<?php
namespace core\admin;

use common\libraries\Utilities;
use common\libraries\Translation;

class AdminManagerLanguageComponent extends AdminManager
{

    /**
     * Runs this component and displays its output.
     */
    public function run()
    {
        if (! $this->get_user()->get_platformadmin())
        {
            $this->display_header();
            $this->display_error_message(Translation :: get('NotAllowed', array(), Utilities :: COMMON_LIBRARIES));
            $this->display_footer();
            exit();
        }

        \core\admin\language\Manager :: launch($this);
    }
}
