<?php
namespace core\home;

use common\libraries\Application;
use common\libraries\Translation;
use common\libraries\AdministrationComponent;
use common\libraries\BreadcrumbTrail;
use common\libraries\Breadcrumb;
/**
 * $Id: editor.class.php 227 2009-11-13 14:45:05Z kariboe $
 *
 * @package home.lib.home_manager.component
 */
/**
 * Repository manager component to edit an existing learning object.
 */
class HomeManagerAdminConfigurerComponent extends HomeManagerConfigurerComponent implements AdministrationComponent
{

    public function redirect($success)
    {
        parent :: redirect(Translation :: get($success ? 'HomeUpdated' : 'HomeNotUpdated'), ($success ? false : true),
                array(Application :: PARAM_ACTION => HomeManager :: ACTION_MANAGE_HOME));
    }

    public function add_additional_breadcrumbs(BreadcrumbTrail $breadcrumbtrail)
    {
        $breadcrumbtrail->add(
                new Breadcrumb(
                        $this->get_url(
                                array(Application :: PARAM_ACTION => HomeManager :: ACTION_MANAGE_HOME)),
                        Translation :: get('HomeManagerManagerComponent')));
        $breadcrumbtrail->add_help('home_configurer');
    }
}
