<?php
namespace core\lynx\manager;

use common\libraries\Registration;

use common\libraries\NewObjectTableColumnModelActionsColumnSupport;
use common\libraries\NewObjectTableColumnModel;
use common\libraries\ObjectTableColumn;

class RegistrationTableColumnModel extends NewObjectTableColumnModel implements 
        NewObjectTableColumnModelActionsColumnSupport
{

    /**
     * Initializes the columns for the table
     */
    public function initialize_columns()
    {
        $this->add_column(new ObjectTableColumn(Registration :: PROPERTY_NAME));
        $this->add_column(new ObjectTableColumn(Registration :: PROPERTY_VERSION));
    }
}
