<?php
namespace core\lynx\source;

use common\libraries\NewObjectTableColumnModelActionsColumnSupport;
use common\libraries\NewObjectTableColumnModel;
use common\libraries\ObjectTableColumn;

class SourceTableColumnModel extends NewObjectTableColumnModel implements NewObjectTableColumnModelActionsColumnSupport
{

    /**
     * Initializes the columns for the table
     */
    public function initialize_columns()
    {
        $this->add_column(new ObjectTableColumn(Source :: PROPERTY_NAME));
        $this->add_column(new ObjectTableColumn(Source :: PROPERTY_URI));
        $this->add_column(new ObjectTableColumn(Source :: PROPERTY_DESCRIPTION));
    }
}
