<?php
namespace core\menu;

/**
 * @author Hans De Bisschop
 */




class SiteMapItemRenderer extends ItemRenderer
{

    public function render()
    {
        $html = array();
        
        if ($this->get_item()->get_parent() == 0)
        {
            $html[] = '<div class="category">';
            $html[] = '<h1>';
            $html[] = $this->get_item_url();
            $html[] = '</h1>';
            $html[] = '<div class="clear"></div>';
            $html[] = '</div>';
        }
        else
        {
            $html[] = '<div class="item">' . $this->get_item_url() . '</div>';
        }
        return implode("\n", $html);
    }
}
