<?php
namespace core\metadata;

use common\libraries\FormValidator;
use common\libraries\Translation;
use common\libraries\Utilities;

class UploadForm extends FormValidator
{

    public function __construct($url)
    {
        
        parent :: __construct('upload_form', 'post', $url);
        $this->build_upload_form();
    }

    public function build_upload_form()
    {
        $this->addElement('file', Translation :: get('File', null, Utilities :: COMMON_LIBRARIES));
        $this->addElement('style_submit_button', 'submit', Translation :: get('Upload', null, Utilities :: COMMON_LIBRARIES), array(
                'class' => 'positive update'));
    }
}
