<?php
namespace reporting;

use common\libraries\Utilities;
use common\libraries\Configuration;
/**
 * $Id: reporting_data_manager.class.php 215 2009-11-13 14:07:59Z vanpouckesven $
 *
 * @package reporting.lib
 * @author Michael Kyndt
 * @author Hans De Bisschop
 */

class ReportingDataManager
{

    private static $instance;

    /**
     *
     * @return ReportingDataManagerInterface
     */
    public static function get_instance()
    {
        if (! isset(self :: $instance))
        {
            $type = Configuration :: get_instance()->get_parameter('general', 'data_manager');
            $class = __NAMESPACE__ . '\\' . Utilities :: underscores_to_camelcase($type) . 'ReportingDataManager';
            self :: $instance = new $class();
        }
        return self :: $instance;
    }
}
