<?php
namespace reporting\viewer;

use common\libraries\FileProperties;
use common\libraries\Filesystem;

/**
 *
 * @author Hans De Bisschop & Magali Gillard
 * @package reporting.viewer
 */
class HtmlOdsBlockRendition extends HtmlBlockRendition
{

    public function render()
    {
        $file_path = TemplateRenditionImplementation :: launch($this->get_context()->get_context(),
                $this->get_context()->get_template(), TemplateRendition :: FORMAT_ODS, TemplateRendition :: VIEW_DEFAULT);

        $file_properties = FileProperties :: from_path($file_path);

        Filesystem :: file_send_for_download($file_path, true, $file_properties->get_name_extension(),
                $file_properties->get_type());
        exit();
    }
}
