<?php
namespace repository\content_object\announcement\integration\core\home;

use common\libraries\Translation;
use repository\ContentObjectRenditionImplementation;
use repository\ContentObjectRendition;

class Displayer extends \repository\integration\core\home\Block
{

    public function __construct($parent, $block_info, $configuration)
    {
        parent :: __construct($parent, $block_info, $configuration);
        $this->default_title = Translation :: get('Displayer');
    }

    public function is_visible()
    {
        return true; // i.e.display on homepage when anonymous
    }

    public function display_content()
    {
        $content_object = $this->get_object();

        $display = ContentObjectRenditionImplementation :: factory(
            $content_object,
            ContentObjectRendition :: FORMAT_HTML,
            ContentObjectRendition :: VIEW_DESCRIPTION,
            $this->get_parent());
        return $display->render();
    }
}
