<?php
namespace repository\content_object\file;

class RepositoryBrowserTable extends \repository\RepositoryBrowserTable
{
    /**
     * Constructor
     * 
     * @see ContentObjectTable::ContentObjectTable()
     */
    public function __construct($browser, $parameters, $condition)
    {
        parent :: __construct($browser, $parameters, $condition);
        
        $type = $browser->get_repository_browser()->get_advanced_search_form()->get_type();
        $this->set_column_model(new RepositoryBrowserTableColumnModel());
        $this->set_cell_renderer(new RepositoryBrowserTableCellRenderer($browser));
        $this->set_data_provider(new RepositoryBrowserTableDataProvider($browser, $condition, $type));
    }
}
