<?php
namespace repository\content_object\file;

use common\libraries\Path;

use repository\RepositoryManager;

class HtmlInlineAudioRenditionImplementation extends HtmlInlineRenditionImplementation
{

    public function render($parameters)
    {
        $object = $this->get_content_object();
        $url = Path :: get(WEB_PATH) . RepositoryManager :: get_document_downloader_url($object->get_id()) . '&display=1';
        
        $html = array();
        
        $html[] = '<object classid="clsid:9BE31822-FDAD-461B-AD51-BE1D1C159921" codebase="http://www.videolan.org/">';
        $html[] = '	<param name="showstatusbar" value="true" />';
        $html[] = '	<param name="showaudiocontrols" value="true" />';
        $html[] = '	<param name="showpositioncontrols" value="true" />';
        $html[] = '	<param name="showcontrols" value="true" />';
        $html[] = '	<param name="autostart" value="true" />';
        $html[] = '	<param name="url" value="' . $url . '" />';
        $html[] = '	<embed  autostart="true"
                            pluginspage="http://www.videolan.org/"
                            showaudiocontrols="true"
                            showcontrols="true"
                            showpositioncontrols="true"
                            showstatusbar="true"
                            src="' . $url . '"
                            type="application/x-vlc-plugin">';
        $html[] = '	</embed>';
        $html[] = '</object>';
        
        return implode("\n", $html);
    }
}
