<?php
namespace repository\content_object\forum;

use common\libraries\EqualityCondition;
use common\libraries\Mdb2Database;
use common\libraries\ObjectTableOrder;

use repository\ComplexContentObjectItem;
use repository\content_object\forum\ForumSubscribe;
use repository\content_object\forum_topic\ForumPost;
use repository\content_object\forum_topic\ForumTopic;

use MDB2;
     
/*
 * This class does all the necessary communication with the database layer.
 * 
 * @author Mattias De Pauw - Hogeschool Gent
 * @author Maarten Volckaert - Hogeschool Gent
 */
class Mdb2DataManager extends Mdb2Database implements DataManagerInterface
{
    /**
     *  Inherited.
     *  Sets the right prefix for this mdb2 class.
     */
    public function initialize()
    {
        parent :: initialize();
        $this->set_prefix('repository_');
    }
}
