<?php
namespace repository\content_object\webpage;

use common\libraries\Filesystem;
/**
 * Cell rendere for the object browser table
 */
class RepositoryBrowserTableCellRenderer extends \repository\RepositoryBrowserTableCellRenderer
{
    // Inherited
    public function render_cell($column, $content_object)
    {
        switch ($column->get_name())
        {
            case Webpage :: PROPERTY_EXTENSION :
                return $content_object->get_extension();
            case Webpage :: PROPERTY_FILESIZE :
                return Filesystem :: format_file_size($content_object->get_filesize());
        }
        
        return parent :: render_cell($column, $content_object);
    }

}
