<?php
namespace repository\content_object\wiki;

use repository\ComplexContentObjectItem;
use repository\content_object\wiki_page\ComplexWikiPage;
use repository\ComplexBuilder;
use common\libraries\Request;
use common\libraries\Translation;
use common\libraries\BreadcrumbTrail;

/**
 * $Id: homepage_selector.class.php 200 2009-11-13 12:30:04Z kariboe $
 * 
 * @package repository.lib.complex_builder.wiki.component
 */
class WikiBuilderHomepageSelectorComponent extends WikiBuilder
{

    public function run()
    {
        $complex_content_object_item = \repository\DataManager :: retrieve_complex_content_object_item(
            Request :: get(ComplexBuilder :: PARAM_SELECTED_COMPLEX_CONTENT_OBJECT_ITEM_ID),
            ComplexWikiPage :: class_name()
        );
        
        $complex_content_object_item->set_is_homepage(1);
        $complex_content_object_item->update();
        
        $this->redirect(Translation :: get('HomepageSelected'), false, 
                array(ComplexBuilder :: PARAM_BUILDER_ACTION => ComplexBuilder :: ACTION_BROWSE));
    }
}
