<?php
namespace repository;

use common\libraries\Translation;

abstract class ContentObjectActivator extends \common\libraries\package\Activator
{

    public function run()
    {
        $success = parent :: run();
        
        if (! $success)
        {
            return false;
        }
        
        $success = DataManager :: activate_content_object_type(self :: context());
        
        if (! $success)
        {
            $this->failed(Translation :: get('ContentObjectStatusUpdateFailed'));
        }
        else
        {
            return true;
        }
    }
}
