<?php
namespace repository;

use common\libraries\Utilities;
use common\libraries\Translation;

class CpoContentObjectImportForm extends ContentObjectImportForm
{

    public function build_basic_form()
    {
        parent :: build_basic_form();

        $this->addElement('file', self :: IMPORT_FILE_NAME,
                Translation :: get('FileName', null, Utilities :: COMMON_LIBRARIES));
    }

    public function setDefaults($defaults = array ())
    {
        parent :: setDefaults(array(self :: PROPERTY_TYPE => ContentObjectImport :: FORMAT_CPO));
    }
}
