<?php
namespace repository;

/**
 * @package repository.lib
 * @author Hans De Bisschop
 */
use common\libraries\Application;
use common\libraries\Path;

class LegacyContentObjectDisplayContext implements ContentObjectDisplayContext
{

    /* (non-PHPdoc)
     * @see repository.ContentObjectDisplayContext::get_content_object_display_attachment_url()
     */
    public function get_content_object_display_attachment_url($content_object)
    {
        return Path :: get_launcher_application_path(true) . 'index.php?' . Application :: PARAM_APPLICATION . '=attachment_viewer&' . RepositoryManager :: PARAM_CONTENT_OBJECT_ID . '=' . $content_object->get_id() . '&' . ContentObject :: PARAM_SECURITY_CODE . '=' . $content_object->calculate_security_code();
    }

    public function get_parameters()
    {
        return array();
    }

}
