<?php
namespace repository;

use common\libraries\Request;

/**
 * Repository manager component which provides functionality to create a template based on another content object
 * 
 * @package repository.lib.repository_manager.component
 * @author Hans De Bisschop
 */
class RepositoryManagerTemplateCreatorComponent extends RepositoryManagerCopierComponent
{

    /**
     * Runs this component and displays its output.
     */
    public function run()
    {
        Request :: set_get(self :: PARAM_TEMPLATE, 1);
        parent :: run();
    }
}
