<?php
namespace repository;

class ContentObjectTableDataProvider extends \repository\viewer\ContentObjectTableDataProvider
{

    public function get_objects($offset, $count, $order_property = null)
    {
        $order_property = $this->get_order_property($order_property);

        if (! $this->get_parent()->is_shared_object_browser())
        {
            return \repository\DataManager :: retrieve_active_content_objects(ContentObject :: class_name(),
                    $this->get_condition());
        }
        else
        {
            return \repository\DataManager :: retrieve_shared_content_objects($this->get_condition(), $offset, $count,
                    $order_property);
        }
    }

    public function get_object_count()
    {
        if (! $this->get_parent()->is_shared_object_browser())
        {
            return \repository\DataManager :: count_active_content_objects(ContentObject :: class_name(),
                    $this->get_condition());
        }
        else
        {
            return \repository\DataManager :: count_shared_content_objects($this->get_condition());
        }
    }
}
