<?php
namespace repository;

class HtmlEditorChamiloRepositoryViewer extends HtmlEditorRepositoryViewer
{

    public function __construct($parent, $types, $maximum_select = \repository\viewer\Manager :: SELECT_MULTIPLE, $excluded_objects = array(), $parse_input = true)
    {
        parent :: __construct($parent, $types, $maximum_select, $excluded_objects, $parse_input);
    }

    public static function get_allowed_content_object_types()
    {
        // FIXME this is a cyclic dependency to content_object/Document
        $types = array();

        $active_types = \repository\DataManager :: get_registered_types(true);
        foreach ($active_types as $active_type)
        {
            // if (is_subclass_of($active_type, '\common\libraries\Includeable'))
            if (in_array('common\libraries\Includeable', (array) class_implements($active_type)))
            {
                $types[] = $active_type;
            }
        }
        return $types;
    }

    public function get_types()
    {
        return array();
    }
}
