<?php
namespace repository\quota;

use common\libraries\SubManager;

class Manager extends SubManager
{
    const PARAM_ACTION = 'quota_action';
    const PARAM_REQUEST_ID = 'request_id';
    const PARAM_RESET_CACHE = 'reset_cache';

    const ACTION_BROWSE = 'browser';
    const ACTION_UPGRADE = 'upgrader';
    const ACTION_REQUEST = 'request';
    const ACTION_CREATE = 'creator';
    const ACTION_DELETE = 'deleter';
    const ACTION_DENY = 'denier';
    const ACTION_GRANT = 'granter';
    const ACTION_RIGHTS = 'rights';

    const DEFAULT_ACTION = self :: ACTION_BROWSE;

    public static function get_action_parameter()
    {
        return self :: PARAM_ACTION;
    }

    public function get_default_action()
    {
        return self :: DEFAULT_ACTION;
    }

    public static function launch($application)
    {
        parent :: launch(null, $application);
    }
}
