<?php
namespace repository\viewer;

use common\libraries\NewObjectTableFormActionsSupport;
use common\libraries\NewObjectTable;
use common\libraries\Translation;
use common\libraries\ObjectTableFormAction;
use common\libraries\ObjectTableFormActions;

class ImportTable extends NewObjectTable implements NewObjectTableFormActionsSupport
{
    const TABLE_IDENTIFIER = Manager :: PARAM_ID;
    const DEFAULT_ROW_COUNT = 'all';

    public function get_implemented_form_actions()
    {
        $actions = new ObjectTableFormActions(__NAMESPACE__, Manager :: PARAM_ACTION);

        if ($this->get_component()->get_maximum_select() != Manager :: SELECT_SINGLE)
        {
            $actions->add_form_action(
                    new ObjectTableFormAction(Manager :: ACTION_PUBLISHER, Translation :: get('PublishSelected'), false));
        }

        return $actions;
    }
}
