<?php
namespace repository\viewer;

use repository\ContentObject;
use common\libraries\DataClassCountParameters;
use common\libraries\DataClassRetrievesParameters;
use common\libraries\NewObjectTableDataProvider;

class ImportTableDataProvider extends NewObjectTableDataProvider
{

    public function get_objects($offset, $count, $order_property = null)
    {
        return \repository\DataManager :: retrieve_active_content_objects(
            ContentObject :: class_name(),
            new DataClassRetrievesParameters($this->get_condition())
        );
    }

    public function get_object_count()
    {
        return \repository\DataManager :: count_active_content_objects(
            ContentObject :: class_name(),
            new DataClassCountParameters($this->get_condition())
        );
    }
}
