<?php
    
    # @usage
    # php validate_i18n.php path
    #
    # @description
    # This script checks the validity of a i18n file at <path1>.
    #
    # @author: Klaas Moerman <kmoerman@vub>
    
    # read arguments
    $path = $argv[1];
    
    # read language file    
    if (!parse_ini_file($path)) {
        echo "\033[31merror\033[0m\n";
        exit(1);
    } else {
        echo "\033[32mok\033[0m\n";
        exit(0);
    }

?>
