<?php
namespace user\integration\reporting;

use reporting\ReportingTemplate;

class DataTemplate extends ReportingTemplate
{

    public function __construct($parent)
    {
        parent :: __construct($parent);

        $this->add_reporting_block(new BrowserBlock($this));
        $this->add_reporting_block(new CountryBlock($this));
        $this->add_reporting_block(new OperatingSystemBlock($this));
        $this->add_reporting_block(new ProviderBlock($this));
        $this->add_reporting_block(new RefererBlock($this));
    }

    public function get_application()
    {
        return \user\UserManager :: APPLICATION_NAME;
    }

    public function display_context()
    {
    }

    public function is_platform()
    {
        return true;
    }
}
