<?php
namespace webservice;

use common\libraries\StaticTableColumn;
/**
 * $Id: webservice_browser_table_column_model.class.php 208 2009-11-13 13:14:39Z vanpouckesven $
 *
 * @package webservices.lib.webservice_manager.component.webservice_browser_table
 */
/**
 * Table column model for the user browser table
 */
class WebserviceBrowserTableColumnModel extends DefaultWebserviceTableColumnModel
{
    /**
     * The tables modification column
     */
    private static $modification_column;

    /**
     * Constructor
     */
    public function __construct()
    {
        parent :: __construct();
        $this->set_default_order_column(1);
        $this->add_column(self :: get_modification_column());
    }

    /**
     * Gets the modification column
     *
     * @return ContentObjectTableColumn
     */
    public static function get_modification_column()
    {
        if (! isset(self :: $modification_column))
        {
            self :: $modification_column = new StaticTableColumn('');
        }
        return self :: $modification_column;
    }
}
