<?php
namespace application\personal_calendar;

use common\libraries\WebApplicationInstaller;

/**
 * $Id: personal_calendar_installer.class.php 201 2009-11-13 12:34:51Z chellee $
 *
 * @package application.personal_calendar.install
 */

/**
 * This installer can be used to create the storage structure for the personal calendar application.
 */
class Installer extends WebApplicationInstaller
{

    /**
     * Constructor
     */
    public function __construct($values)
    {
        parent :: __construct($values, PersonalCalendarDataManager :: get_instance());
    }

    public function get_additional_packages()
    {
        $installers = array();
        $installers[] = 'application\personal_calendar\integration\core\home';
        return $installers;
    }
}
