<?php
namespace application\weblcms;

use common\libraries\EqualityCondition;
use common\libraries\Request;

require_once dirname(__FILE__) . '/../../../../common/global.inc.php';

$id = Request :: post('id');
$score = Request :: post('score');

$dummy = new \application\weblcms\integration\tracking\LpiAttempt();
$condition = new EqualityCondition(\application\weblcms\integration\tracking\LpiAttempt :: PROPERTY_ID, $id);
$trackers = $dummy->retrieve_tracker_items($condition);
if ($trackers[0])
{
    $trackers[0]->set_score($score);
    $trackers[0]->set_status('completed');
    $trackers[0]->set_total_time($trackers[0]->get_total_time() + (time() - $trackers[0]->get_start_time()));
    $trackers[0]->update();
}
