<?php
namespace application\weblcms;

use common\libraries\ObjectTableColumn;
use common\libraries\ObjectTableColumnModel;

/**
 * $Id: default_course_category_table_column_model.class.php 216 2009-11-13
 * 14:08:06Z kariboe $
 *
 * @package application.lib.weblcms.course.course_category_table
 */

class DefaultCourseCategoryTableColumnModel extends ObjectTableColumnModel
{

    /**
     * Constructor
     */
    public function __construct()
    {
        parent :: __construct(self :: get_default_columns(), 0);
    }

    /**
     * Gets the default columns for this model
     *
     * @return CourseCategoryTableColumn[]
     */
    private static function get_default_columns()
    {
        $columns = array();
        $columns[] = new ObjectTableColumn(CourseCategory :: PROPERTY_NAME);
        $columns[] = new ObjectTableColumn(CourseCategory :: PROPERTY_CODE);
        return $columns;
    }
}
