<?php
namespace application\weblcms\tool\assignment;

use common\libraries\DataClassPropertyTableColumn;

use application\weblcms\tool\course_group\CourseGroup;

/**
 * Extends SubmissionBrowserTableColumnModel to include the group members
 * column.
 *
 * @author Anthony Hurst (Hogeschool Gent)
 *
 * @author Sven Vanpoucke - Hogeschool Gent - Refactoring
 */
class SubmissionCourseGroupsBrowserTableColumnModel extends SubmissionGroupsBrowserTableColumnModel
{
    /**
     * Adds a column for the group name
     */
    protected function add_group_name_column()
    {
        $this->add_column(new DataClassPropertyTableColumn(CourseGroup :: class_name(), CourseGroup :: PROPERTY_NAME));
    }
}
