<?php
namespace application\weblcms\tool\glossary;

use application\weblcms\WeblcmsRights;
use application\weblcms\Tool;

use application\weblcms\ToolComponent;
use common\libraries\DelegateComponent;

class GlossaryToolRightsEditorComponent extends GlossaryTool implements DelegateComponent
{

    public function run()
    {
        ToolComponent :: launch($this);
    }

    public function get_available_rights($location)
    {
        return WeblcmsRights :: get_available_rights($location);
    }

    public function get_additional_parameters()
    {
        return array(\repository\viewer\Manager :: PARAM_ID, \repository\viewer\Manager :: PARAM_ACTION);
    }

}
