<?php
namespace application\weblcms\tool\home;

//use application\weblcms\WeblcmsDataManager;
use application\weblcms\course\DataManager;
use common\libraries\Request;
use common\libraries\Translation;

class HomeToolToolVisibilityChangerComponent extends HomeTool
{
    // TODO: change this to new course tool structure
    public function run()
    {
        $tool = Request :: get(HomeTool :: PARAM_TOOL);
        $visibility = Request :: get(HomeTool :: PARAM_VISIBILITY);

        $success = Datamanager :: set_tool_visibility_by_tool_name($this->get_course_id(), $tool, $visibility);

        $message = $success ? 'ToolVisibilityChanged' : 'ToolVisibilityNotChanged';

        $this->redirect(
            Translation :: get($message), !$success, array(
                HomeTool :: PARAM_ACTION => HomeTool :: ACTION_BROWSE
            )
        );
    }
}
