<?php
namespace application\weblcms\tool\user;

use common\libraries\RecordTableDataProvider;
/**
 *
 * Data privider for a direct subscribed course group browser table.
 *
 * @author Stijn Van Hoecke
 * @author Sven Vanpoucke - Hogeschool Gent - Refactoring to RecordTable
 */
class DirectSubscribedPlatformGroupBrowserTableDataProvider extends RecordTableDataProvider
{
    /**
     * Returns the data as a resultset
     *
     * @param \common\libraries\Condition $condition
     * @param $condition
     * @param int $offset
     * @param int $count
     * @param ObjectTableOrder[] $order_property
     *
     * @return \common\libraries\ResultSet
     */
    public function retrieve_data($condition, $offset, $count, $order_property = null)
    {
        return \application\weblcms\course\DataManager :: retrieve_groups_directly_subscribed_to_course(
            $condition, $offset, $count, $order_property
        );
    }

    /**
     * Counts the data
     *
     * @param \common\libraries\Condition $condition
     *
     * @return int
     */
    public function count_data($condition)
    {
        return \application\weblcms\course\DataManager :: count_groups_directly_subscribed_to_course($condition);
    }
}
