<?php
namespace common\extensions\external_repository_manager;

use common\libraries\NewObjectTableFormActionsSupport;
use common\libraries\NewObjectTable;
use common\libraries\Utilities;
use common\libraries\Translation;
use common\libraries\ObjectTableFormAction;
use common\libraries\ObjectTableFormActions;

class ExportTable extends NewObjectTable implements NewObjectTableFormActionsSupport
{
    const TABLE_IDENTIFIER = Manager :: PARAM_EXTERNAL_REPOSITORY_ID;
    const DEFAULT_ROW_COUNT = 20;

    public function get_implemented_form_actions()
    {
        $actions = new ObjectTableFormActions(__NAMESPACE__, Manager :: PARAM_EXTERNAL_REPOSITORY_MANAGER_ACTION);

        // $actions->add_form_action(new ObjectTableFormAction(Manager :: ACTION_EXPORT_EXTERNAL_REPOSITORY, Translation
        // :: get('ExportSelected', null, Utilities :: COMMON_LIBRARIES)));

        return $actions;
    }
}
