<?php
namespace common\extensions\invitation_manager;

use common\libraries\Redirect;
use user\UserManager;
use common\libraries\Application;
use common\libraries\SubManager;
use common\libraries\Path;

/**
 *
 * @author Hans De Bisschop
 */
class InvitationManager extends SubManager
{
    const CLASS_NAME = __CLASS__;
    const PARAM_ACTION = 'invitation_action';
    const PARAM_INVITATION_CODE = 'invitation_code';
    const ACTION_CREATE_INVITATIONS = 'create';

    public function __construct($application)
    {
        parent :: __construct($application);
    }

    public function get_invitation_url(Invitation $invitation)
    {
        // $parameters[Application :: PARAM_APPLICATION] = UserManager :: APPLICATION_NAME;
        // $parameters[Application :: PARAM_ACTION] = UserManager :: ACTION_REGISTER_INVITED_USER;
        $parameters[InvitationManager :: PARAM_INVITATION_CODE] = $invitation->get_code();
        $url = Path :: get(WEB_PATH) . Redirect :: get_link(null, $parameters);
        return $url;
    }
}
