$(function() {
	$(document).ready(function() {
		$('.specific_rights_selector').live('click', function() {
			$('.specific_rights_selector_box').show();
		});
		$('.inherit_rights_selector').live('click', function() {
			$('.specific_rights_selector_box').hide();
		});

		$('.other_option_selected').live('click', function() {
			var parent = $(this).parents('.right');
            $('.entity_selector_box', parent).hide();
		});

		$('.entity_option_selected').live('click', function() {
            var parent = $(this).parents('.right');
            $('.entity_selector_box', parent).show();
		});

		$('.specific_rights_selector').each(function() {
			if ($(this).attr('checked')) {
				$('.specific_rights_selector_box').show();
			}
		});

		//if ($('.entity_option_selected').attr('checked')) {
		// In the rights for a weblcms, the form is shown multiple times. Using the above selector then causes a javascript error (because it matches more than 1 element)
		// The below selector fixes that, but shows the entity_selector_box for all instances of the form if 1 or more elements match.
		// That's better than not working at all, but should be reworked to use the element id's.
		if ($('.entity_option_selected :checked')) {
			$('.entity_selector_box').show();
		} else {
			$('.entity_selector_box').hide();
		}
	});

});