<?php
namespace common\libraries;

/**
 * This interface sets a marker to your column model which dictates to the column model that you want to use the
 * action column
 * 
 * @package \common\libraries;
 * 
 * @author Sven Vanpoucke
 */
interface NewObjectTableCellRendererActionsColumnSupport
{
    /**
     * Returns the actions toolbar
     *
     * @param DataClass $object
     *
     * @return String
     */
    public function get_object_actions($object);
}
