<?php
namespace common\libraries;

/**
 * This class describes an action column. You can add this column automatically to your table by implementing the
 * TableColumnModelActionsColumnSupport interface in your column model.
 * 
 * @package \common\libraries;
 * 
 * @author Sven Vanpoucke
 */
class ActionsTableColumn extends NewStaticTableColumn
{
    public function __construct()
    {
        return parent :: __construct('action_column', '');
    }
}
