<?php
namespace common\libraries;


/**
 * @package common.libraries.storage.doctrine
 * @author Hans De Bisschop
 */

abstract class DoctrineConditionTranslator extends ConditionTranslator
{

    public static function factory(Condition $condition, $deprecated_storage_unit = null, $connection = null)
    {
        return parent :: factory(DataManager :: TYPE_DOCTRINE, $condition, $deprecated_storage_unit, $connection);
    }

    public static function render(Condition $condition, $deprecated_storage_unit = null, $connection = null)
    {
        return parent :: render(DataManager :: TYPE_DOCTRINE, $condition, $deprecated_storage_unit, $connection);
    }

}
