<?php
namespace common\libraries;

/**
 * Translation of ConditionVariables in the context of an MDB2-based storage layer
 *
 * @package common.libraries
 * @author Hans De Bisschop
 */
class Mdb2StaticColumnConditionVariableTranslator extends Mdb2ConditionVariableTranslator
{

    public function translate()
    {
        $value = $this->get_condition_variable()->get_value();

        if ($this->get_condition_variable()->get_quote())
        {
            return Mdb2Database :: escape_column_name($value, null, $this->get_connection());
        }

        return $value;
    }
}
