$(function()
{
    var timer;

    function check_for_existing_names(e, ui)
    {
        var title = $("#title").attr("value");

        $.post("./repository/php/ajax/title_exists.php", {
            title : title
        }, function(data)
        {
            if (data)
            {
                $('#message').html(data);
            }
            else
            {
                $('#message').html('');
            }
        });
    }

    $(document).ready(function()
    {
        $("#title").keypress(function()
        {
            clearTimeout(timer);
            timer = setTimeout(check_for_existing_names, 750);
        });

        if (typeof support_attachments != 'undefined')
        {
            $('#uploadify').uploadify({
                'uploader' : getPath('WEB_PATH') + '/common/libraries/resources/images/' + getTheme() + '/plugin/jquery/uploadify2/uploadify.swf',
                'script' : getPath('WEB_PATH') + 'ajax.php',
                'cancelImg' : getPath('WEB_PATH') + '/common/libraries/resources/images/' + getTheme() + '/plugin/jquery/uploadify2/cancel.png',
                'folder' : 'not_important',
                'auto' : true,
                'displayData' : 'percentage',
                'scriptData' : {
                    'user_id' : getMemory('_uid'),
                    'context' : 'repository',
                    'method' : 'upload_image'
                },
                onComplete : function(evt, queueID, fileObj, response, data)
                {
                    var fileName = fileObj.name.split('.');
                    $('#attachments_search_field').val(fileName[0]);
                    $('#tbl_attachments').trigger('update_search');
                    var ajaxResult = eval('(' + response + ')');
                    $('#lo_' + ajaxResult.properties.id).trigger('activate');
                }
            });
        }
    });

});