<?php
namespace group;
use common\libraries\ObjectTableColumnModel;
use common\libraries\ObjectTableColumn;

/**
 * $Id: default_group_table_column_model.class.php 224 2009-11-13 14:40:30Z kariboe $
 * @package group.lib.group_table
 */

/**
 * TODO: Add comment
 */
class DefaultGroupTableColumnModel extends ObjectTableColumnModel
{

    /**
     * Constructor
     */
    public function __construct()
    {
        parent :: __construct(self :: get_default_columns(), 1);
    }

    /**
     * Gets the default columns for this model
     * @return ContentObjectTableColumn[]
     */
    private static function get_default_columns()
    {
        $group_alias = DataManager :: get_instance()->get_alias(Group :: get_table_name());
        $columns = array();
        $columns[] = new ObjectTableColumn(Group :: PROPERTY_NAME, true, $group_alias, true);
        $columns[] = new ObjectTableColumn(Group :: PROPERTY_CODE, true, $group_alias, true);
        $columns[] = new ObjectTableColumn(Group :: PROPERTY_DESCRIPTION, true, $group_alias, true);
        return $columns;
    }
}
