<?php
namespace reporting\viewer;

use common\libraries\DelegateComponent;
use common\libraries\Request;

/**
 *
 * @author Hans De Bisschop & Magali Gillard
 * @package reporting.viewer
 */
class ViewerComponent extends Manager implements DelegateComponent
{

    public function run()
    {
        $format = Request :: get(self :: PARAM_FORMAT) ? Request :: get(self :: PARAM_FORMAT) : TemplateRendition :: FORMAT_HTML;
        $view = Request :: get(self :: PARAM_VIEW) ? Request :: get(self :: PARAM_VIEW) : TemplateRendition :: VIEW_DEFAULT;

        $template = TemplateRenditionImplementation :: launch($this, $this->get_template(), $format, $view);

        $this->display_header();
        echo $template;
        $this->display_footer();
    }
}
