<?php
namespace repository\content_object\vimeo;

use repository\Difference_Engine;

use repository\ContentObjectDifference;

/**
 * $Id: vimeo_difference.class.php 2010-06-08
 * package repository.lib.content_object.vimeo
 * @author Shoira Mukhsinova
 */
class VimeoDifference extends ContentObjectDifference
{

    public function get_difference()
    {
        $object = $this->get_object();
        $version = $this->get_version();

        $object_string = $object->get_url();
        $object_string = explode("\n", strip_tags($object_string));

        $version_string = $version->get_url();
        $version_string = explode("\n", strip_tags($version_string));

        $td = new Difference_Engine($version_string, $object_string);

        return array_merge(parent :: get_difference(), $td->getDiff());
    }
}
