<?php
namespace repository\content_object\wiki;

use common\libraries\DataClassCountParameters;
use common\libraries\DataClassRetrievesParameters;
use repository\ComplexContentObjectItem;
use common\libraries\ObjectTableDataProvider;

/**
 * $Id: wiki_page_table_data_provider.class.php 200 2009-11-13 12:30:04Z kariboe $
 * 
 * @package repository.lib.complex_display.wiki.component.wiki_page_table
 */
class WikiPageTableDataProvider extends ObjectTableDataProvider
{
    
    /*
     * Inherited
     */
    public function get_objects($offset, $count, $order_property = null)
    {
        $parameters = new DataClassRetrievesParameters($this->get_condition(), $count, $offset, 
                $this->get_order_property($order_property));
        return DataManager :: retrieve_complex_wiki_pages(ComplexContentObjectItem :: class_name(), $parameters);
    }
    
    /*
     * Inherited<
     */
    public function get_object_count()
    {
        $parameters = new DataClassCountParameters($this->get_condition());
        return DataManager :: count_complex_wiki_pages(ComplexContentObjectItem :: class_name(), $parameters);
    }
}
