<?php
namespace repository;

use common\libraries\Utilities;
use common\libraries\Path;
use common\libraries\Request;
use common\libraries\CssUtilities;

$theme = Request :: get('theme'); // theme in the url means that changing the theme will invalidate the cache

$root = Path :: get_repository_content_object_path();

$content_object_types = DataManager :: get_registered_types();
foreach ($content_object_types as $content_object_type)
{
    $path = Path :: namespace_to_full_path(Utilities :: get_namespace_from_classname($content_object_type)) . 'resources/css/' . $theme . '/' . $theme . '.css';
    echo CssUtilities :: get($path);
}
