<?php
namespace repository;

use common\libraries\NewObjectTableDataProvider;

/**
 * Description of impact_view_table_data_provider
 * 
 * @author Pieterjan Broekaert
 */
class ImpactViewTableDataProvider extends NewObjectTableDataProvider
{

    public function get_object_count()
    {
        return \repository\DataManager :: count_active_content_objects(ContentObject :: class_name(), 
                $this->get_condition());
    }

    public function get_objects($offset, $count, $order_property = null)
    {
        return DataManager :: retrieve_active_content_objects(ContentObject :: class_name(), $this->get_condition());
    }
}
