<?php
namespace repository;

use common\libraries\Path;
use common\libraries\Utilities;
use common\libraries\Request;

class HtmlEditorCkeditorChamiloProcessor extends HtmlEditorProcessor
{

    public function run()
    {
        $selected_object = $this->get_selected_content_objects();
        $object = \repository\DataManager :: retrieve_content_object($selected_object);

        $editor = Request :: get('CKEditor');

        $html = array();
        $html[] = '<script type="text/javascript">';
        $html[] = 'window.opener.CKEDITOR.tools.callFunction(
                        ' . $this->get_parameter('CKEditorFuncNum') . ',
                        \'' .
             Path :: namespace_to_full_path(Utilities :: get_namespace_from_object($object), true) .
             'resources/javascript/html_editor/ckeditor/dialog.js' . '\', \'' . $object->get_id() . '\', \'' .
             Utilities :: get_classname_from_namespace($object->get_type(), true) . '\');';
        $html[] = 'window.close();';

        $html[] = '</script>';

        echo implode("\n", $html);
    }
}
