<?php
namespace repository;

use common\libraries\Path;

require_once Path :: get_plugin_path() . 'getid3/getid3.php';
class HtmlEditorCkeditorHandbookItemProcessor extends HtmlEditorProcessor
{

    public function run()
    {
        $selected_object = $this->get_selected_content_objects();
        $object = \repository\DataManager :: retrieve_content_object($selected_object);

        // TODO: return link with UID
        $handbook_topic_include_path = $object->get_uuid();

        $html = array();
        $html[] = '<script type="text/javascript">';
        $html[] = 'window.opener.CKEDITOR.tools.callFunction(' . $this->get_parameter('CKEditorFuncNum') . ', \'' .
             $handbook_topic_include_path . '\', function() {';
        $html[] = '});';
        $html[] = 'window.close();';

        $html[] = '</script>';

        echo implode("\n", $html);
    }
}
