<?php
namespace tracking;

use common\libraries\Translation;
use common\libraries\Display;
use common\libraries\Request;

/**
 *
 * @package tracking.lib.tracking_manager.component
 */
class TrackingManagerEventActivatorComponent extends TrackingManagerActivityChangerComponent
{

    /**
     * Runs this component and displays its output.
     */
    public function run()
    {
        if (! $this->get_user()->is_platform_admin())
        {
            $this->display_header();
            Display :: error_message(Translation :: get("NotAllowed"));
            $this->display_footer();
            exit();
        }

        Request :: set_get(self :: PARAM_TYPE, 'event');
        Request :: set_get(self :: PARAM_EXTRA, 'enable');
        parent :: run();
    }
}
