<?php
namespace user\integration\reporting;

class Template extends \reporting\ReportingTemplate
{

    public function __construct($parent)
    {
        parent :: __construct($parent);
        
        $this->add_reporting_block(new ActiveInactiveBlock($this));
        $this->add_reporting_block(new NoOfLoginsDayBlock($this));
        $this->add_reporting_block(new NoOfLoginsHourBlock($this));
        $this->add_reporting_block(new NoOfLoginsMonthBlock($this));
        $this->add_reporting_block(new NoOfLoginsBlock($this));
        $this->add_reporting_block(new NoOfUsersPictureBlock($this));
        $this->add_reporting_block(new NoOfUsersBlock($this));
    }

    public function get_application()
    {
        return \user\UserManager :: APPLICATION_NAME;
    }

    public function display_context()
    {
    }

    public function is_platform()
    {
        return true;
    }
}
