<?php
namespace user\integration\tracking;

use common\libraries\EqualityCondition;

class Referrer extends User
{

    public function validate_parameters(array $parameters = array())
    {
        $server = $parameters['server'];
        $referer = $server['HTTP_REFERER'];

        $this->set_type(self :: TYPE_REFERER);
        $this->set_name($referer);
    }

    public function empty_tracker($event)
    {
        $condition = new EqualityCondition(self :: PROPERTY_TYPE, self :: TYPE_REFERER);
        return $this->remove($condition);
    }

    public function export($start_date, $end_date)
    {
        $condition = new EqualityCondition(self :: PROPERTY_TYPE, self :: TYPE_REFERER);
        return $this->get_data_manager()->retrieve_tracker_items($this->get_table_name(), $condition);
    }
}
